Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCylindricalTransform Class Reference

`#include <vtkCylindricalTransform.h>`

Inheritance diagram for vtkCylindricalTransform:

[legend]
Collaboration diagram for vtkCylindricalTransform:

[legend]
List of all members.

## Detailed Description

cylindrical to rectangular coords and back

Date:
  2002/03/25 19:37:49

Revision:
  1.1

vtkCylindricalTransform will convert (r,theta,z) coordinates to (x,y,z) coordinates and back again. The angles are given in radians. By default, it converts cylindrical coordinates to rectangular, but GetInverse() returns a transform that will do the opposite. The equation that is used is x = r*cos(theta), y = r*sin(theta), z = z.

Warning:
  This transform is not well behaved along the line x=y=0 (i.e. along the z-axis)

See also:
  vtkSphericalTransform vtkGeneralTransform

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (97%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkCylindricalTransform.h)`
  - .`cxx` (`/Common/vtkCylindricalTransform.cxx)`

Tests:
  vtkCylindricalTransform (Tests)

Definition at line 52 of file vtkCylindricalTransform.h.

## Public Types
typedef vtkWarpTransform | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
vtkAbstractTransform * | MakeTransform ()
## Static Public Methods
vtkCylindricalTransform * | New ()
int | IsTypeOf (const char *type)
vtkCylindricalTransform * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCylindricalTransform ()
| ~vtkCylindricalTransform ()
void | InternalDeepCopy (vtkAbstractTransform *transform)
void | ForwardTransformDerivative (const float in[3], float out[3], float derivative[3][3])
void | ForwardTransformDerivative (const double in[3], double out[3], double derivative[3][3])
void | InverseTransformPoint (const float in[3], float out[3])
void | InverseTransformPoint (const double in[3], double out[3])
void | InverseTransformDerivative (const float in[3], float out[3], float derivative[3][3])
void | InverseTransformDerivative (const double in[3], double out[3], double derivative[3][3])
void | ForwardTransformPoint (const float in[3], float out[3])
void | ForwardTransformPoint (const double in[3], double out[3])

## Member Typedef Documentation

typedef vtkWarpTransform vtkCylindricalTransform::Superclass

| Reimplemented from vtkWarpTransform. Definition at line 56 of file vtkCylindricalTransform.h.

## Constructor & Destructor Documentation

vtkCylindricalTransform::vtkCylindricalTransform | ( |  | ) | `[protected]`

vtkCylindricalTransform::~vtkCylindricalTransform | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCylindricalTransform* vtkCylindricalTransform::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCylindricalTransform::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkWarpTransform.

int vtkCylindricalTransform::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWarpTransform.

virtual int vtkCylindricalTransform::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWarpTransform.

vtkCylindricalTransform* vtkCylindricalTransform::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkWarpTransform.

virtual void vtkCylindricalTransform::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkWarpTransform.

vtkAbstractTransform* vtkCylindricalTransform::MakeTransform | ( |  | ) | `[virtual]`

| Make another transform of the same type. Implements vtkAbstractTransform.

void vtkCylindricalTransform::InternalDeepCopy | ( | vtkAbstractTransform * | transform | ) | `[protected, virtual]`

| Copy this transform from another of the same type. Reimplemented from vtkAbstractTransform.

void vtkCylindricalTransform::ForwardTransformPoint | ( | const float | in[3],
|  | float | out[3]
| ) | `[protected, virtual]`

| Internal functions for calculating the transformation. Implements vtkWarpTransform.

void vtkCylindricalTransform::ForwardTransformPoint | ( | const double | in[3],
|  | double | out[3]
| ) | `[protected, virtual]`

| Internal functions for calculating the transformation. Implements vtkWarpTransform.

void vtkCylindricalTransform::ForwardTransformDerivative | ( | const float | in[3],
|  | float | out[3],
|  | float | derivative[3][3]
| ) | `[protected, virtual]`

| Calculate the forward transform as well as the derivative. Implements vtkWarpTransform.

void vtkCylindricalTransform::ForwardTransformDerivative | ( | const double | in[3],
|  | double | out[3],
|  | double | derivative[3][3]
| ) | `[protected, virtual]`

| Calculate the forward transform as well as the derivative. Implements vtkWarpTransform.

void vtkCylindricalTransform::InverseTransformPoint | ( | const float | in[3],
|  | float | out[3]
| ) | `[protected, virtual]`

| If the InverseFlag is set to 1, then a call to InternalTransformPoint results in a call to InverseTransformPoint. The inverse transformation is calculated from using Newton's method. Reimplemented from vtkWarpTransform.

void vtkCylindricalTransform::InverseTransformPoint | ( | const double | in[3],
|  | double | out[3]
| ) | `[protected, virtual]`

| If the InverseFlag is set to 1, then a call to InternalTransformPoint results in a call to InverseTransformPoint. The inverse transformation is calculated from using Newton's method. Reimplemented from vtkWarpTransform.

void vtkCylindricalTransform::InverseTransformDerivative | ( | const float | in[3],
|  | float | out[3],
|  | float | derivative[3][3]
| ) | `[protected, virtual]`

| Calculate the inverse transform as well as the derivative of the forward transform (that's correct: the derivative of the forward transform, not of the inverse transform) Reimplemented from vtkWarpTransform.

void vtkCylindricalTransform::InverseTransformDerivative | ( | const double | in[3],
|  | double | out[3],
|  | double | derivative[3][3]
| ) | `[protected, virtual]`

| Calculate the inverse transform as well as the derivative of the forward transform (that's correct: the derivative of the forward transform, not of the inverse transform) Reimplemented from vtkWarpTransform.

The documentation for this class was generated from the following file:

- Common/vtkCylindricalTransform.h